Subject: [Ltru] Re: Language and script encoding standards

From: "Doug Ewell" <[email-masked]>
Date: Tue, 25 Jul 2006 00:31:38 -0700

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

> Do you want any of this to be considered as part of the potential work 
> on a 3066ter?  If so, do you have specific language for inclusion in a 
> charter update proposal?

(1) Yes, I do, and (2) I hope to have some specific language in the 
not-too-distant future.

Detailed information on variant subtags is scattered all over 
draft-registry.  (For "detailed" read "anything about variants that is 
not syntactical or exemplary.")  I'd like some text --and I'll write it 
if necessary -- that says in effect:

"The following types of language variations are suitable to be 
registered as variant subtags:
"1.  Transliterations and transcriptions
"2.  Orthographic reforms
"3.  Well-defined dialects not covered in ISO 639-1, -2, or -3
"4.  Well-defined regional usage
"5.  etc."

The key here is that the list would define certain types of variations 
that ARE DEFINITELY deemed suitable, so that when someone proposes a 
variant for California Surfer Dude English, the ietf-languages list can 
focus on the specific question of whether CSDE is sufficiently 
well-defined and constitutes a taggable distinction, not the 
meta-question of whether variants are the right vehicle for making that 
distinction.

Right now we really only have two exemplar situations to go by: the 
German orthographic reform of 1996 (represented by "1901" and "1996") 
and two dialects of Slovenian ("nedis" and "rozaj"), and they don't 
provide much guidance and to whether other spelling reforms or dialects 
should be treated the same.

Of course we might not think of all possible situations where variants 
might be appropriate, but we should at least be more firm about the ones 
we know.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Tue, 25 Jul 2006 16:53:15 +0100

Doug wrote:

> "The following types of language variations are suitable to 
> be registered as variant subtags:
> "1.  Transliterations and transcriptions "2.  Orthographic 
> reforms "3.  Well-defined dialects not covered in ISO 639-1, 
> -2, or -3 "4.  Well-defined regional usage "5.  etc."

If this discussion is included in the Charter for RFC3066ter then I would
recommend that ISO CD 639-6 be included also.  

Best regards

Debbie Garside

> -----Original Message-----
> From: Doug Ewell [mailto:[email-masked]] 
> Sent: 25 July 2006 08:32
> To: LTRU Working Group
> Subject: [Ltru] Re: Language and script encoding standards
> 
> (1) Yes, I do, and (2) I hope to have some specific language 
> in the not-too-distant future.
> 
> draft-registry.  (For "detailed" read "anything about 
> variants that is not syntactical or exemplary.")  I'd like 
> some text --and I'll write it if necessary -- that says in effect:
> 
> "The following types of language variations are suitable to 
> be registered as variant subtags:
> "1.  Transliterations and transcriptions "2.  Orthographic 
> reforms "3.  Well-defined dialects not covered in ISO 639-1, 
> -2, or -3 "4.  Well-defined regional usage "5.  etc."
> 
> The key here is that the list would define certain types of 
> variations that ARE DEFINITELY deemed suitable, so that when 
> someone proposes a variant for California Surfer Dude 
> English, the ietf-languages list can focus on the specific 
> question of whether CSDE is sufficiently well-defined and 
> constitutes a taggable distinction, not the meta-question of 
> whether variants are the right vehicle for making that distinction.
> 
> Right now we really only have two exemplar situations to go 
> by: the German orthographic reform of 1996 (represented by 
> "1901" and "1996") and two dialects of Slovenian ("nedis" and 
> "rozaj"), and they don't provide much guidance and to whether 
> other spelling reforms or dialects should be treated the same.
> 
> Of course we might not think of all possible situations where 
> variants might be appropriate, but we should at least be more 
> firm about the ones we know.
> 
> --
> Doug Ewell

---

From: Frank Ellermann <[email-masked]>
Date: Wed, 26 Jul 2006 00:19:07 +0200

> be registered as variant subtags:
[...]

Good idea, maybe also some known counter examples.  Saying
"might be / might be not suitable" or similar, the review
list should be free to make exceptions.

Frank

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 25 Jul 2006 17:43:20 -0700

As a CD, it's definitely out of scope. Even once it becomes a standard, it
is a matter of debate whether it should be used.

Mark